Bug 23438 - Use Font Awesome icons in intranet search results browser
Summary: Use Font Awesome icons in intranet search results browser
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 13:31 UTC by Fridolin SOMERS
Modified: 2019-08-13 13:37 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23438: Use Font Awesome icons in intranet search results browser (5.02 KB, patch)
2019-08-07 13:43 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23438: Compiled CSS (96.10 KB, patch)
2019-08-07 13:59 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Screenshot (24.49 KB, image/png)
2019-08-07 14:00 UTC, Fridolin SOMERS
Details
Bug 23438: Use Font Awesome icons in intranet search results browser (5.09 KB, patch)
2019-08-07 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23438: Use Font Awesome icons in intranet search results browser (5.14 KB, patch)
2019-08-08 15:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-08-07 13:31:06 UTC
In intranet after a search you see a results browser top left of biblio record details.

Actually this uses text for links next and previous with a character for the arrows.
I propose to use Font Awesome icons arrows.

In fact the translated text is often too large for those buttons.
For example "Previous" is "Précédant" in french and it causes the next and previous buttons to display on two lines.
Using icons is more compact and easy to use.
Comment 1 Fridolin SOMERS 2019-08-07 13:43:50 UTC
Created attachment 92042 [details] [review]
Bug 23438: Use Font Awesome icons in intranet search results browser

In intranet after a search you see a results browser top left of biblio record details.

Actually this uses text for links next and previous with a character for the arrows.
I propose to use Font Awesome icons arrows.

In fact the translated text is often too large for those buttons.
For example "Previous" is "Préédant" in french and it causes the next and previous buttons to display on two lines.
Using icons is more compact and easy to use.

This patch also adds the list icon to back to results link and changes for a minimal text "Results".

1) Go to intranet
2) Perform a search with a few results
3) Click on first record
4) Check browser displays well
5) Click on next icon, check you go to next search result
6) Click on revious icon, check you go to previous search result
7) Click on "Results", you come back to search results
8) Clik on "Last" and click on last record
9) Check browser displays well
Comment 2 Fridolin SOMERS 2019-08-07 13:59:36 UTC
Created attachment 92043 [details] [review]
Bug 23438: Compiled CSS
Comment 3 Fridolin SOMERS 2019-08-07 14:00:28 UTC
Created attachment 92044 [details]
Screenshot
Comment 4 Owen Leonard 2019-08-07 14:35:31 UTC
Created attachment 92048 [details] [review]
Bug 23438: Use Font Awesome icons in intranet search results browser

In intranet after a search you see a results browser top left of biblio record details.

Actually this uses text for links next and previous with a character for the arrows.
I propose to use Font Awesome icons arrows.

In fact the translated text is often too large for those buttons.
For example "Previous" is "Préédant" in french and it causes the next and previous buttons to display on two lines.
Using icons is more compact and easy to use.

This patch also adds the list icon to back to results link and changes for a minimal text "Results".

1) Go to intranet
2) Perform a search with a few results
3) Click on first record
4) Check browser displays well
5) Click on next icon, check you go to next search result
6) Click on revious icon, check you go to previous search result
7) Click on "Results", you come back to search results
8) Clik on "Last" and click on last record
9) Check browser displays well

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2019-08-08 15:34:56 UTC
Created attachment 92092 [details] [review]
Bug 23438: Use Font Awesome icons in intranet search results browser

In intranet after a search you see a results browser top left of biblio record details.

Actually this uses text for links next and previous with a character for the arrows.
I propose to use Font Awesome icons arrows.

In fact the translated text is often too large for those buttons.
For example "Previous" is "Préédant" in french and it causes the next and previous buttons to display on two lines.
Using icons is more compact and easy to use.

This patch also adds the list icon to back to results link and changes for a minimal text "Results".

1) Go to intranet
2) Perform a search with a few results
3) Click on first record
4) Check browser displays well
5) Click on next icon, check you go to next search result
6) Click on revious icon, check you go to previous search result
7) Click on "Results", you come back to search results
8) Clik on "Last" and click on last record
9) Check browser displays well

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-08-13 13:37:56 UTC
Nice work!

Pushed to master for 19.11.00